std::allocator_traits::deallocate(3)

NAME
std::allocator_traits::deallocate - std::allocator_traits::deallocate

Synopsis
   Defined in header <memory>
   static void deallocate( Alloc& a, pointer p, size_type n ); (since C++11)
                        (until C++20)
   static constexpr void deallocate( Alloc& a, pointer p, size_type n ); (since C++20)
   Uses the allocator a to deallocate the storage referenced by p, by calling
   a.deallocate(p, n)

Parameters
   a - allocator to use
   p - pointer to the previously allocated storage
   n - the number of objects the storage was allocated for

Return value
   (none)

See also
   allocate allocates uninitialized storage using the allocator
   [static] (public static member function)
   deallocate deallocates storage
              (public member function of std::allocator<T>)